﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            function OnClientFormCreated(sender, args) {
                var mode = args.get_mode();
                if (mode == Telerik.Web.UI.SchedulerFormMode.AdvancedInsert ||
                    mode == Telerik.Web.UI.SchedulerFormMode.AdvancedEdit) {
                    var descriptionJQueryObject = $telerik.$("[id$='Form_Description']");
                    var descriptionRadTextBoxObject = $find(descriptionJQueryObject.attr("id"));
                    descriptionRadTextBoxObject.set_value("Add more details about the appointment here.");
                }
            }
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <div>
            <telerik:RadScheduler runat="server" ID="RadScheduler1" Width="750px" TimeZoneOffset="03:00:00"
                OnClientFormCreated="OnClientFormCreated"
                SelectedDate="2012-04-16" DayStartTime="08:00:00" DayEndTime="18:00:00" OnDataBound="RadScheduler1_DataBound"
                OnAppointmentCreated="RadScheduler1_AppointmentCreated" EnableDescriptionField="true"
                OverflowBehavior="Auto">
                <AdvancedForm Modal="true"></AdvancedForm>
                <Reminders Enabled="true"></Reminders>
                <TimeSlotContextMenuSettings EnableDefault="true"></TimeSlotContextMenuSettings>
                <AppointmentContextMenuSettings EnableDefault="true"></AppointmentContextMenuSettings>
                <AppointmentTemplate>
                    <div>
                        <%# Eval("Subject") %>
                    </div>
                    <div style="font-style: italic;">
                        <%# Eval("Description") %>
                    </div>
                </AppointmentTemplate>
            </telerik:RadScheduler>
        </div>
    </form>
</body>
</html>
